document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_23800 | ---
+++
@@ -5,14 +5,13 @@
# This installs some of the common dependencies needed (or at least desired)
# using Homebrew.
+# Ask permissions upfront
+sudo -v
# Check for Homebrew
if test ! $(which brew)
then
echo " Installing Homebrew for you."
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Home... | bash |
d_bash_23801 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
# https://github.com/nodesource/distributions/
-curl -sL https://$PKG.nodesource.com/setup_0.10 | bash -
+curl -sL https://$PKG.nodesource.com/setup_4.x | bash -
$install nodejs
echo "Node.js installed" | bash |
d_bash_23802 | ---
+++
@@ -1,4 +1,4 @@
-function gi() { curl http://gitignore.io/api/$@ ;}
+function gi() { curl http://www.gitignore.io/api/$@ ;}
_gitignireio_get_command_list() {
curl -s http://gitignore.io/api/list | tr "," "\n" | bash |
d_bash_23803 | ---
+++
@@ -3,17 +3,21 @@
y=${2-/};
COMPASS=`which compass`;
+if [[ -z "$COMPASS" ]]; then
+ echo "[ERROR] compass not found. Make sure it exists in your PATH.";
+ exit;
+fi
+
while [ "$x" != "$y" ];
do x=`dirname "$x"`;
-# echo $x;
if [ `find "$x" -maxdepth 1 -name config.rb` ]; then
$COMPASS com... | bash |
d_bash_23804 | ---
+++
@@ -17,6 +17,7 @@
"apps_domain": "grootfs-performance.cf-app.com",
"admin_user": "admin",
"admin_password": "$CF_PASSWORD",
+ "backend": "diego",
"skip_ssl_validation": true,
"use_http": true,
"include_apps": true, | bash |
d_bash_23805 | ---
+++
@@ -3,6 +3,12 @@
# expected: ESLINT_VERSION numeric env var
npm install --no-save eslint@$ESLINT_VERSION --ignore-scripts || true
+
+# completely remove the new typescript parser for ESLint < v5
+if [[ "$ESLINT_VERSION" -lt "5" ]]; then
+ echo "Removing @typescript-eslint/parser..."
+ npm uninstall @typ... | bash |
d_bash_23806 | ---
+++
@@ -1,7 +1,21 @@
#!/bin/sh
+
+# Helper for conditional inclusion of features.
+function command_exists() {
+ type "$1" &> /dev/null ;
+}
+
+file_signature() {
+ if command_exists sha256
+ then
+ sha256sum $1 | awk '{ print $1 }'
+ else
+ shasum -a 256 $1 | awk '{ print $1 }'
+ fi
+}
cat index.html.templ... | bash |
d_bash_23807 | ---
+++
@@ -6,7 +6,7 @@
git config --global user.name "MSYS2 Build Bot"
# fetch first changed file, assume at most one package touched per commit
-TOUCHED=`git show --pretty="format:" --name-only | grep . | head -1`
+TOUCHED=`git show -m --pretty="format:" --name-only | grep . | head -1`
PKGDIR=`dirname $TOUCHED... | bash |
d_bash_23808 | ---
+++
@@ -5,21 +5,21 @@
#
# Return if requirements are not found.
-if [[ ! -d "$HOME/.carton" ]]; then
+if [[ ! -d "$HOME/.cask" ]]; then
return 1
fi
-# Prepend Carton bin directory.
-path=($HOME/.carton/bin $path)
+# Prepend Cask bin directory.
+path=($HOME/.cask/bin $path)
# Load Carton completion
-s... | bash |
d_bash_23809 | ---
+++
@@ -5,10 +5,14 @@
HACK_URL=${HACK_RELEASES}${HACK_VERSION}
TEMP=`mktemp`
curl -L -o "${TEMP}" "${HACK_URL}"
+# OSX
if [ -d ~/Library/Fonts ]; then
unzip -o "${TEMP}" -d ~/Library/Fonts/
-fi
-if [ -d ~/.local/share/fonts ]; then
- unzip -o "${TEMP}" -d ~/.local/share/fonts/
+else
+ # Linux
+ if [ -d ... | bash |
d_bash_23810 | ---
+++
@@ -6,5 +6,5 @@
for d in `find "$BASE_DIR/apps/" -maxdepth 1 -mindepth 1 -type d`
do
echo $d
- cp -frv --symbolic-link $d/. ~/
+ cp -fav --symbolic-link $d/. ~/
done | bash |
d_bash_23811 | ---
+++
@@ -17,7 +17,6 @@
conda create -q -n test3 python=3.5 notebook sympy pysym symcxx pip pytest pytest-cov pytest-flakes pytest-pep8 python-symengine
source activate test3
python setup.py install
-python -m pip install diofant
# (cd /; python -m pytest --pyargs $1)
PYTHONPATH=$(pwd) ./scripts/run_tests.sh -... | bash |
d_bash_23812 | ---
+++
@@ -12,4 +12,5 @@
src/tools/perf/run_measurement \
src/tools/perf/record_wpr \
src/content/test/gpu/run_gpu_test.py \
+ --exclude=*/third_party/trace-viewer/test_data/* \
-z $1 | bash |
d_bash_23813 | ---
+++
@@ -4,3 +4,4 @@
git pull
sudo cp webapp/ffate.py /var/www/forensicator-fate/
sudo cp webapp/templates/* /var/www/templates
+sudo cp webapp/ffate.css /var/www/public_html/ | bash |
d_bash_23814 | ---
+++
@@ -1,7 +1,11 @@
#!/usr/bin/env bash
VERSION="${GITHUB_REF/refs\/tags\/v/}"
-AWK_CODE=$(cat <<EOF
+# awk code to get description of the release from CHANGELOG.rst.
+# Assumes that the changelog uses captions with the exact version
+# number and a ~ type header (i.e. underline with ~ after the line
+# with... | bash |
d_bash_23815 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
ROOTDIR=`dirname $0`
SUPPORT=$ROOTDIR/support | bash |
d_bash_23816 | ---
+++
@@ -25,6 +25,7 @@
# The program's entry point.
main() {
+ set -o pipefail
parse_options "$@"
delete_least_recently_accessed_file_from "$path"
} | bash |
d_bash_23817 | ---
+++
@@ -7,7 +7,7 @@
cd tmp-deploy
git add .
git commit --allow-empty-message -m ""
-git remote set-url ourikas git@github.com:Ourikas/ourikas.github.io.git
+git remote add ourikas git@github.com:Ourikas/ourikas.github.io.git
git push ourikas :master
git subtree push --prefix app ourikas master
cd .. | bash |
d_bash_23818 | ---
+++
@@ -6,5 +6,5 @@
./configure --enable-xcache
make
sudo make install
-echo zend_extension=~/.phpenv/versions/$(phpenv version-name)/lib/php/extensions/no-debug-non-zts-20090626/xcache.so > ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/xcache.ini
+echo zend_extension=~/cache/xcache-1.3.2/modules/xcache... | bash |
d_bash_23819 | ---
+++
@@ -14,6 +14,6 @@
fi
# Install homebrew packages
-brew install grc coreutils spark
+brew install grc coreutils spark ack hub wget tree
exit 0 | bash |
d_bash_23820 | ---
+++
@@ -7,6 +7,7 @@
govuk-madetech
modelling-services
navigation
+ platform_support
publishing-frontend
reliability-engineering
search-team | bash |
d_bash_23821 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-docker run --user user-dk --name digikam -it -v ${HOME}/Pictures/digikam:/home/user-dk/Pictures -v /tmp/.X11-unix:/tmp/.X11-unix -e DISPLAY=$DISPLAY silvavlis/digikam
+docker run --user user-dk --name digikam-4.8 -it -v ${HOME}/Pictures/digikam:/home/user-dk/Pictures -v /tmp/.X... | bash |
d_bash_23822 | ---
+++
@@ -20,7 +20,7 @@
cd ${builddir}
ninja || exit $?
-meson test || exit $?
+meson test -t 2 || exit $?
cd ..
| bash |
d_bash_23823 | ---
+++
@@ -2,4 +2,4 @@
BASEDIR=$(dirname "$0")
-java -cp .:$BASEDIR/dist/boa-compiler.jar:$BASEDIR/lib/hadoop-core-1.0.4.jar:$BASEDIR/lib/commons-lang-2.4.jar:$BASEDIR/lib/commons-math-2.1.jar boa.compiler.BoaCompiler -i $*
+java -cp .:$BASEDIR/dist/boa-compiler.jar:$BASEDIR/lib/hadoop-core-1.0.4.jar:$BASEDIR/l... | bash |
d_bash_23824 | ---
+++
@@ -22,7 +22,7 @@
alias please='sudo'
## more intelligent acking for ubuntu users
-if which ack-grep > /dev/null;
+if which ack-grep &> /dev/null;
then
alias afind='ack-grep -il'
else | bash |
d_bash_23825 | ---
+++
@@ -1,10 +1,13 @@
#!/bin/bash
-if [[ "$TRAVIS_GO_VERSION" =~ ^1\.(12|13)(\..*)?$ ]]; then
+# If GOMOD is defined we are running with Go Modules enabled, either
+# automatically or via the GO111MODULE=on environment variable. Codegen only
+# works with modules, so skip generation if modules is not in use.
+... | bash |
d_bash_23826 | ---
+++
@@ -1,7 +1,8 @@
#!/bin/bash
-GOVER=1.12
+GOVER=1.12.7
GOFN=go$GOVER.linux-amd64
+USE_VTK=1
# deps
echo "... installing deps ..." | bash |
d_bash_23827 | ---
+++
@@ -1,8 +1,7 @@
#!/bin/bash
-DOCKER_VERSION=1.6.2
-DOCKER_VERSION=1.7.0-rc1
-DOCKER_VERSION=1.7.0-rc2
+DOCKER_VERSION="${1:-LATEST}"
+echo "Requested Docker version=$DOCKER_VERSION"
mkdir -p ~/src/
cd ~/src/
@@ -17,11 +16,14 @@
git fetch -q --all -p
# detect latest Docker release tag
-TAG_MESSAGE=$... | bash |
d_bash_23828 | ---
+++
@@ -5,8 +5,6 @@
mkdir -p $dest
tar xzvf build/git-arch-for-cover.tar.gz -C $dest
rm build/git-arch-for-cover.tar.gz
-make src/version.go
-cp src/version.go $dest/src
pushd $dest
./scripts/run-db-tests.sh
go tool cover -html=profile.cov | bash |
d_bash_23829 | ---
+++
@@ -9,7 +9,8 @@
-e GEM_QGIS_TEST=y \
qgis/qgis:final-3_8_3
-docker exec -it qgis sh -c "apt update; DEBIAN_FRONTEND=noninteractive apt install -y python3-scipy python3-matplotlib python3-pyqt5.qtwebkit python3-pytest"
+docker exec -it qgis bash -c "apt update; DEBIAN_FRONTEND=noninteractive apt install ... | bash |
d_bash_23830 | ---
+++
@@ -11,7 +11,7 @@
}
teardown() {
- [[ -d "$TMP" ]] && rm -rf "$TMP"/*
+ [[ -d "$TMP" ]] && rm -rf "${TMP:?}"/*
}
# http://www.nherson.com/blog/2014/01/13/stubbing-system-executables-with-bats | bash |
d_bash_23831 | ---
+++
@@ -3,7 +3,7 @@
echo
echo "Installing texlive"
-sudo pacman -S texlive-{bibtexextra,bin,core,fontsextra,formatsextra,langextra,latexextra,pictures,science} biber
+sudo pacman -S texlive-{bibtexextra,bin,core,fontsextra,formatsextra,langextra,latexextra,pictures,science,publishers} biber
echo "Installin... | bash |
d_bash_23832 | ---
+++
@@ -1,11 +1,13 @@
set -x
+R --version
+sudo Rscript xcms-install.R
# Install a local version of the Kbase narrative
conda remove -n kbase --all -y
-conda create -y -n kbase python=2.7 scipy pytables matplotlib readline
+conda create -y -n kbase python=2.7 scipy pytables matplotlib readline pandas
source... | bash |
d_bash_23833 | ---
+++
@@ -3,8 +3,11 @@
echo "Setting Up System Dependencies..."
-wget https://github.com/wkhtmltopdf/packaging/releases/download/0.12.6-1/wkhtmltox_0.12.6-1.focal_amd64.deb
-sudo apt install ./wkhtmltox_0.12.6-1.focal_amd64.deb
+install_wkhtmltopdf() {
+ wget https://github.com/wkhtmltopdf/packaging/releases/... | bash |
d_bash_23834 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-${GIT_REPO:=https://github.com/SpectraLogic/ds3_net_sdk.git}
+echo using Git Repo: ${GIT_REPO:="https://github.com/SpectraLogic/ds3_net_sdk.git"}
# clone ds3_net_sdk from github
cd /opt | bash |
d_bash_23835 | ---
+++
@@ -2,6 +2,8 @@
# Re-usable test setup lines
# Helps automate selection of process mode (engine, server, worker)
# Prints the "SETUP:" header in the *.out file
+
+export ADLB_EXHAUST_TIME=1
if [[ ${TURBINE_ENGINES} == "" ]]
then | bash |
d_bash_23836 | ---
+++
@@ -10,14 +10,15 @@
most_memory() {
ps aux --sort -%mem |
sed -n 2p |
- awk '{print $11 " using " $4 "% of memory";}'
+ awk '{print $11; print $4}' |
+ paste -sd,
}
log_memory() {
while true
do
- echo "$(date),$(most_memory)" >> "most-memory.log"
- sleep 5
+ echo "$(date),$(most_memory)%... | bash |
d_bash_23837 | ---
+++
@@ -2,7 +2,7 @@
set -e
. /var/lib/jenkins/jobs/master.get_branch_repo/workspace/big-data/pack-funcs
-productName=hadoop
+productName=solr
downloadFileAndMakeChanges() {
initializeVariables $1
optDirectory=$BASE/$fileName/opt | bash |
d_bash_23838 | ---
+++
@@ -16,8 +16,8 @@
# Hy is complicated, and uses Python's internal AST representation directly, and thus Hy releases usually lag behind a little on major Python releases (and we don't want that to gum up our tests)
# see https://github.com/hylang/hy/issues/1111 for example breakage
-if ! "$python" -c 'impo... | bash |
d_bash_23839 | ---
+++
@@ -6,5 +6,5 @@
cd docs && make html && cd ..
git commit docs sandman/__init__.py -m "Update to version v$1"
git flow release finish v$1
-python setup.py sdist upload -r pypi
+python setup.py sdist bdist_wheel upload -r pypi
python setup.py upload_docs -r pypi | bash |
d_bash_23840 | ---
+++
@@ -9,5 +9,6 @@
( cd "${fiat_crypto_CI_DIR}" && git submodule update --init --recursive )
-fiat_crypto_CI_TARGETS="print-nobigmem nobigmem nonautogenerated-specific nonautogenerated-specific-display"
-( cd "${fiat_crypto_CI_DIR}" && make ${fiat_crypto_CI_TARGETS} )
+fiat_crypto_CI_TARGETS1="printlite lit... | bash |
d_bash_23841 | ---
+++
@@ -1,12 +1,6 @@
#!/bin/bash
# reference: https://gist.github.com/domenic/ec8b0fc8ab45f39403dd
-
-# Environment Variables Examples:
-# export GH_TOKEN=721fd28bc24dTh1sIsN0tREaLc2f137b8b5f
-# travis encrypt GH_TOKEN=721fd28bc24dTh1sIsN0tREaLc2f137b8b5f --add
-# travis encrypt COMMIT_AUTHOR_EMAIL=<your_ema... | bash |
d_bash_23842 | ---
+++
@@ -1,33 +1,29 @@
#!/usr/local/bin/zsh
-echo $STY | grep server 1>/dev/null
+tmux display-message -p '#S' | grep server 1>/dev/null
if [ "$?" != 0 ];
then
- echo "Run inside a server screen!"
+ echo "Run inside a server tmux!"
exit 1;
fi
+tmux set-option -t server allow-rename off
+
# This is ... | bash |
d_bash_23843 | ---
+++
@@ -6,3 +6,5 @@
brew install terraform
brew install httpie
brew install rbenv
+brew install gnupg
+ | bash |
d_bash_23844 | ---
+++
@@ -18,7 +18,7 @@
for I in "platforms;android-25" \
"platforms;android-23" \
"platforms;android-21" \
- "buildDate-tools;25.0.6" \
+ "build-tools;25.0.6" \
"extras;google;m2repository" \
"extras;android;m2repository" \
"extras;google;google_pl... | bash |
d_bash_23845 | ---
+++
@@ -2,18 +2,6 @@
set -e
-which pigeon >/dev/null || {
- echo "Installing pigeon from vendor"
- go install ./vendor/github.com/mna/pigeon
-}
-
-
-which goimports >/dev/null || {
- echo "Installing goimports from vendor"
- go install ./vendor/golang.org/x/tools/cmd/goimports
-}
-
-which golint >/dev/null |... | bash |
d_bash_23846 | ---
+++
@@ -19,10 +19,11 @@
echo "</tr><tr> $caption </tr></tbody>"
caption=""
fi
-echo "</table>"
+echo "</table>"
-echo "<center>"
-echo "Please send copyright-free donations to"
+echo "<p>"
+echo "Also see Yifan's <a href=\"http://www.research.att.com/~yifanhu/GALLERY/GRAPHS/index.html\">gallery of large g... | bash |
d_bash_23847 | ---
+++
@@ -16,7 +16,7 @@
rpmbuild \
- --define "xroad_catalog_version 0.9.0" \
+ --define "xroad_catalog_version 0.9.1" \
--define "rel $RELEASE" \
--define "snapshot .$SNAPSHOT" \
--define "_topdir $ROOT" \ | bash |
d_bash_23848 | ---
+++
@@ -29,7 +29,7 @@
echo 'autopwn' | python $featherduster $file | grep $FLAG && echo 'GETREKT: featherduster autopwn' && exit 0
# Do reversing solves
- #TODO Do RE solves
+ rabin2 -zz "${file}" | grep -i "${FLAG}" && exit 0
# Do stego solves
#TODO Do stego solves | bash |
d_bash_23849 | ---
+++
@@ -20,7 +20,7 @@
# Note: this could go wrong if we have used two different versions of
# Python to build Thrift on this machine, and the first version is not
# compatible with the second.
-for PYTHON_DIR in ${THRIFT_HOME}/python/lib/python*/site-packages; do
+for PYTHON_DIR in ${THRIFT_HOME}/python/lib{64... | bash |
d_bash_23850 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash -e
-wget -q http://download.adaptec.com/raid/storage_manager/arcconf_v<%= @version.gsub(/\./, "_") %>_<%= @revision %>.zip
-unzip arcconf_v1_5_20942.zip
+ARCCONF_ZIPFILE='arcconf_v<%= @version.gsub(/\./, "_") %>_<%= @revision %>.zip'
+wget -q http://download.adaptec.com/raid/sto... | bash |
d_bash_23851 | ---
+++
@@ -4,7 +4,7 @@
#export SQLCLI=sqlplus # For sqlplus client
export CONNECTION_STR=127.0.0.1:1521/xe # Adjust the connect string
export ORACLE_PWD=oracle # Adjust your local SYS password
-export UTPLSQL_CLI_VERSION="3.0.4"
+export UTPLSQL_CLI_VERSION="3.1.0"
export SELFTESTING_BRANCH=develop
export UTPL... | bash |
d_bash_23852 | ---
+++
@@ -15,6 +15,7 @@
echo "('tail -f $CRONDIR/stackage-server-cron.log' to watch)"
docker run --rm \
-v $CRONDIR:/home/ubuntu \
- -v $HOME/.stack:/home/ubuntu/.stack:ro \
+ -v $HOME/.stack/indices:/home/ubuntu/.stack/indices:ro \
+ --workdir /home/ubuntu \
$IMAGE \
bash -c "useradd $(wh... | bash |
d_bash_23853 | ---
+++
@@ -3,14 +3,15 @@
## This script builds a new GitHub release for the Terra CLI.
## Usage: ./publish-release.sh --> installs the latest version
+echo "-- Building the source code archive"
+SOURCE_CODE_ARCHIVE_FILENAME="terra-cli-$RELEASE_VERSION.tar.gz"
+SOURCE_CODE_ARCHIVE_PATH=../$SOURCE_CODE_ARCH... | bash |
d_bash_23854 | ---
+++
@@ -3,6 +3,7 @@
if [[ "$BUILDKITE_MESSAGE" == *"[full ci]"* ||
"$BUILDKITE_BRANCH" == "next" ||
"$BUILDKITE_BRANCH" == "master" ||
+ ! -z "$FULL_SCHEDULED_BUILD" ||
"$BUILDKITE_PULL_REQUEST_BASE_BRANCH" == "master" ]]; then
echo "Running full build"
buildkite-agent pipeline upload .buildkite/... | bash |
d_bash_23855 | ---
+++
@@ -6,6 +6,7 @@
HOST="127.0.0.1"
USER="rkhatchadourian"
PASSWORD="Its7eK7dap8D"
+dos2unix $TABLE.csv
mysql --local-infile -D $DATABASE -u $USER -p$PASSWORD -h $HOST --execute="\
TRUNCATE $TABLE; \
LOAD DATA LOCAL INFILE '$TABLE.csv' \
@@ -15,5 +16,4 @@
LINES TERMINATED BY '\n'\
IGNORE ... | bash |
d_bash_23856 | ---
+++
@@ -1,9 +1,8 @@
-#!/bin/bash
+#!/bin/sh
{% from "php-fpm/map.jinja" import php_fpm with context %}
set -e
-set -o pipefail
# Ensure the php5-fpm directory exists.
mkdir -p /var/run/php5-fpm/
@@ -20,4 +19,4 @@
chown {{ php_fpm.pools[pool_name].user }}.{{ php_fpm.pools[pool_name].user }} /var/run/php... | bash |
d_bash_23857 | ---
+++
@@ -11,7 +11,7 @@
for patch in debian/patches/*
do
echo "applying Debian patch \`$(basename $patch)'..."
- patch -p1 < $patch
+ patch --batch -p1 < $patch
done
substituteInPlace "Makefile" --replace \ | bash |
d_bash_23858 | ---
+++
@@ -7,9 +7,10 @@
$script_path/build.sh
-$project_root/bin/reuse-haskell --output $build_dir/ReuseStdlib.hs\
- --stdlib false\
- $build_dir/standard-library.reuse
+$project_root/bin/reusec --language haskell\
+ --output ... | bash |
d_bash_23859 | ---
+++
@@ -21,6 +21,7 @@
#cp dist/jil-test-signed/test* $TMP_DIR
cp dist/unsigned/test* $TMP_DIR
+cp dist/unsigned/util* $TMP_DIR
cp ReleaseNotes.txt $TMP_DIR
cp all-tests.xls $TMP_DIR
cp -R src/test-audio $TMP_DIR/ | bash |
d_bash_23860 | ---
+++
@@ -11,15 +11,6 @@
fi
sed -i -e "s/^Version.*/Version: \\t${version}/" python-varlink.spec
-sed -i -e "s/^[ \\t]*version.*=.*/ version = \"${version}\",/" setup.py
-git commit -m "version ${version}" python-varlink.spec setup.py
-git tag -m "version ${version}" --sign "${version}"
-git push
-git push -... | bash |
d_bash_23861 | ---
+++
@@ -1,5 +1,5 @@
#! /bin/bash
-
+cd ..;
cd admin-portal-ui/server; mvn clean package -Pdocker docker:build; cd -;
cd discovery-server/discovery-server; mvn clean package docker:build; cd -;
cd dss-api/dss; mvn clean package docker:build... | bash |
d_bash_23862 | ---
+++
@@ -1,10 +1,15 @@
#!/bin/bash
+USERNAME=dlecan
+IMAGE_PATH=rust-crosscompiler-armv6
+IMAGE_NAME=$IMAGE_PATH
+IMAGE=$USERNAME/$IMAGE_NAME
+
+RUST_CHANNEL=stable
RUST_VERSION=1.6.0
-docker build -t dlecan/rust-x86_64-armv6 rust-x86_64-armv6
+docker build -t $IMAGE:$RUST_VERSION $IMAGE_PATH
-docker tag -... | bash |
d_bash_23863 | ---
+++
@@ -17,6 +17,7 @@
echo "ExecStart=$FRIEND_RUN_DIRECTORY/FriendCore" >> $TMP
echo 'Restart=always' >> $TMP
echo 'RestartSec=3' >> $TMP
+echo 'StandardOutput=null' >> $TMP
echo '[Install]' >> $TMP
echo 'WantedBy=multi-user.target' >> $TMP | bash |
d_bash_23864 | ---
+++
@@ -28,11 +28,11 @@
}
returnBuildDir(){
- echo d:/$(_returnPrivacy $@)/$(returnBranch $@)-portal
+ echo D:/$(_returnPrivacy $@)/$(returnBranch $@)-portal
}
returnBundleDir(){
- echo d:/$(_returnPrivacy $@)/$(returnBranch $@)-bundles
+ echo D:/$(_returnPrivacy $@)/$(returnBranch $@)-bundles
}... | bash |
d_bash_23865 | ---
+++
@@ -3,7 +3,7 @@
#nasm "./bootloader/bootloader.asm" -i "./bootloader/" -f bin -o "./build/bootloader.bin" # assemble bootloader
#nasm "./kernel/kernel.asm" -i "./kernel/" -f bin -o "./build/kernel.bin" # assemble kernel
-nasm "./LemmingOS.asm" -i "./bootloader/" -i "./kernel/" -f bin -o "./build/Lemming... | bash |
d_bash_23866 | ---
+++
@@ -15,7 +15,7 @@
# To add when ready: "RedHat-8/train"
RELEASES=( "CentOS-7/master" "CentOS-7/train" "CentOS-7/stein" \
"CentOS-7/rocky" "CentOS-7/queens" \
- "RedHat-8/master" )
+ "RedHat-8/master" "RedHat-8/train" )
while getopts "t:k:sh" arg; do
case $arg in | bash |
d_bash_23867 | ---
+++
@@ -9,6 +9,7 @@
akonadidb=akonadi
socketfile=$HOME/.local/share/akonadi/db_misc/mysql.socket
+logfile=$HOME/.local/share/akonadi/db_data/mysql-bin.index
if ! [ -S $socketfile ]; then
startserver=true
else
@@ -16,7 +17,20 @@
fi
if ! [ -z "$startserver" ]; then
- /usr/sbin/mysqld --datadir=$HOME/.lo... | bash |
d_bash_23868 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
mvn package -f ../pom.xml -pl WordCounter -am -DskipTests=true
-find src/main/resources/ -type f -name *.txt | grep -v '[Ee]mpty' | xargs -L1 -I '{}' sh -c 'printf "\n\n=======\n\nTesting {}\n------\n"; java -jar target/WordCounter-1.0-SNAPSHOT-jar-with-dependencies.jar --file... | bash |
d_bash_23869 | ---
+++
@@ -8,10 +8,11 @@
cd ..
mkdir -p `pwd`/dist
chmod 777 `pwd`/dist
-docker run -v `pwd`/:/code/calico -v `pwd`/dist:/code/dist calico-build \
+
+docker run --rm -v `pwd`/:/code/calico -v `pwd`/dist:/code/dist calico-build \
bash -c 'su - user -c \
"cd /code && pyinstaller calico/calicoctl.py -a... | bash |
d_bash_23870 | ---
+++
@@ -3,3 +3,22 @@
CMD="trace-cmd stat"
echo $CMD
$CMD
+
+STAT_FILES=()
+
+# /sys/kernel/tracing/per_cpu/cpu0/stats
+for (( i = 0 ; i <= 256 ; i++ )) ; do
+ FILE="/sys/kernel/tracing/per_cpu/cpu${i}/stats"
+ if [ ! -r ${FILE} ]; then
+ break
+ fi
+
+ STAT_FILES+=($FILE)
+done
+
+awk '{
+ ... | bash |
d_bash_23871 | ---
+++
@@ -21,4 +21,4 @@
usage
fi
-environment_compose run -p 5007:5007 application-runner /docker/volumes/conf/docker/files/presto-cli.sh "$@"
+environment_compose run -p 5008:5008 application-runner /docker/volumes/conf/docker/files/presto-cli.sh "$@" | bash |
d_bash_23872 | ---
+++
@@ -1,2 +1,2 @@
-HADOOP_BASE_IMAGE="prestodev/hdp3.1-hive"
-TEMPTO_ENVIRONMENT_CONFIG_FILE="/docker/volumes/conf/tempto/tempto-configuration-for-hdp3.yaml"
+export HADOOP_BASE_IMAGE="prestodev/hdp3.1-hive"
+export TEMPTO_ENVIRONMENT_CONFIG_FILE="/docker/volumes/conf/tempto/tempto-configuration-for-hdp3.yaml" | bash |
d_bash_23873 | ---
+++
@@ -4,10 +4,9 @@
npm install -g bower
npm install -g grunt-cli
npm install -g gulp
-npm install -g generator-jhipster
#--------------------------------------------------
# use a snapshot version of jhipster
#--------------------------------------------------
git clone https://github.com/jhipster/genera... | bash |
d_bash_23874 | ---
+++
@@ -3,3 +3,21 @@
echo "$1"
grep -nHIi "$1" *.f
}
+
+# Grep fortran files for a variable assignment
+# Grep options: -n Show line number
+# -H With filename
+# -I Don't process binary files
+# -i Ignore case
+# -P Perl RegEx
+findvar () {
+ ... | bash |
d_bash_23875 | ---
+++
@@ -14,12 +14,38 @@
export PATH=$PATH:`pwd`/bin
cd ninja
+function timed
+{
+ local START=`date +%s%N`
+ time $1
+ local END=`date +%s%N`
+ RET=$(((END - START) / 1000000)) # in milliseconds
+ echo Took ${RET}ms
+}
+
echo Run Ninja
ninja -t clean
-time ninja -j3
-time ninja -j3
+timed "ti... | bash |
d_bash_23876 | ---
+++
@@ -9,14 +9,9 @@
STATUS=$?
fi
if [ "$STATUS" -ne "0" ]; then
- # Install prerequisites.
- echo " * Setting up Git PPA pre-requisites"
- sudo apt-get install -y python-software-properties software-properties-common &>/dev/null
# Add ppa repo.
echo " * Adding ppa:git-core/ppa repository"
sudo a... | bash |
d_bash_23877 | ---
+++
@@ -19,7 +19,7 @@
cd /tmp
git clone -b develop https://leap.se/git/leap_cli.git
cd leap_cli
-git checkout 1ba5abc1a9359a00cee2da06b9766eb0bdda9f29
+git checkout develop
rake build
rake install
| bash |
d_bash_23878 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Avoid weird messages that confuse py6s
-export FFLAGS="-ffpe-summary=none"
+# export FFLAGS="-ffpe-summary=none"
cmake -D CMAKE_INSTALL_PREFIX=$PREFIX \
. | bash |
d_bash_23879 | ---
+++
@@ -3,6 +3,9 @@
set -e
export NUM_JOBS=1
+
+brew update;
+brew install lcov;
mkdir build
cd build | bash |
d_bash_23880 | ---
+++
@@ -1,7 +1,9 @@
#!/usr/bin/env bash
+PHP=/usr/bin/php
if [ -d /opt/rh/rh-php56 ]; then
source /opt/rh/rh-php56/enable
+ PHP=/opt/rh/rh-php56/root/usr/bin/php
fi
@@ -21,7 +23,8 @@
log_msg "Running CRON hippo_cron.php"
FILES=`find ${SCRIPT_DIR}/cron_jobs -name "*.php"`
-for cronf in $FILES;... | bash |
d_bash_23881 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="20.10.12"
+version="20.10.13"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_23882 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+
+DB_NAME=${1:-$DB_USERNAME} # Until we move off template deploy and onto Kubernetes with the new DB
PGPASSWORD=$DB_PASSWORD /usr/bin/psql --host $DB_HOST -U $DB_USERNAME $DB_NAME -c 'CREATE EXTENSION IF NOT EXISTS postgis;'
PGPASSWORD=$DB_PASSWORD /usr/bin/psql --ho... | bash |
d_bash_23883 | ---
+++
@@ -1,4 +1,24 @@
#!/bin/sh
+
+if [[ -z "${LABELS}" ]]; then
+ echo "LABELS must be set."
+ exit 1
+fi
+
+if [[ -z "${MASTER}" ]]; then
+ echo "MASTER must be set."
+ exit 1
+fi
+
+if [[ -z "${USER_NAME}" ]]; then
+ echo "USER_NAME must be set."
+ exit 1
+fi
+
+if [[ -z "${USER_PASSWORD}" ]]; then
+ ec... | bash |
d_bash_23884 | ---
+++
@@ -1,10 +1,28 @@
[ -n "$TEST_DEBUG" ] && set -x
+resolve_link() {
+ $(type -p greadlink readlink | head -1) $1
+}
+
+abs_dirname() {
+ local cwd="$(pwd)"
+ local path="$1"
+
+ while [ -n "$path" ]; do
+ cd "${path%/*}"
+ local name="${path##*/}"
+ path="$(resolve_link "$name" || true)"
+ don... | bash |
d_bash_23885 | ---
+++
@@ -21,7 +21,7 @@
davserver_owncloud() {
- git clone git@github.com:untitaker/owncloud-testserver.git
+ git clone https://github.com/untitaker/owncloud-testserver.git
cd ./owncloud-testserver/
sh install.sh
} | bash |
d_bash_23886 | ---
+++
@@ -1,2 +1,2 @@
alias ag="ag --hidden --path-to-ignore ${XDG_CONFIG_HOME}/ignore"
-alias rg="rg --hidden --ignore-file ${XDG_CONFIG_HOME}/ignore"
+alias rg="rg --hidden --smart-case --ignore-file ${XDG_CONFIG_HOME}/ignore" | bash |
d_bash_23887 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-cat > "java/config.properties" << EOF
+cat > "java/src/main/resources/commercetools.properties" << EOF
projectKey = $PROJECT_KEY
clientId = $CLIENT_ID
clientSecret = $CLIENT_SECRET | bash |
d_bash_23888 | ---
+++
@@ -27,7 +27,7 @@
rm -rf $DATADIR/regtest
# Run omnicored in regtest mode
-$BTCD -regtest -datadir=$DATADIR -omnialertallowsender=any -omniactivationallowsender=any -paytxfee=0.0001 -minrelaytxfee=0.00001 > $LOGDIR/bitcoin.log &
+$BTCD -regtest -datadir=$DATADIR -omnialertallowsender=any -omniactivational... | bash |
d_bash_23889 | ---
+++
@@ -14,8 +14,14 @@
# Delay to allow service to start up
sleep 0.5
-export COASTER_SERVICE_URL="${IPADDR}:${SERVICE_PORT}"
+COASTER_SERVICE_URL="${IPADDR}:${SERVICE_PORT}"
export TURBINE_COASTER_CONFIG="jobManager=local,maxParallelTasks=64"
+TURBINE_COASTER_CONFIG+=",coasterServiceURL=${COASTER_SERVICE_UR... | bash |
d_bash_23890 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
USAGE="\
-build_app.sh <name>: run playbook
+build_app.sh <name>: provision app 'name' from roles
build_app.sh commit <name>: create image
"
@@ -12,8 +12,8 @@
start_ssh_server() {
name=$1;
- state=$(docker inspect -f "{{ .State.Running }}" $name)... | bash |
d_bash_23891 | ---
+++
@@ -40,7 +40,7 @@
# Run the link check
pip install -q pytest-check-links
- py.test --check-links **/*.md
+ py.test --check-links -k .md
# Build the docs
npm run docs | bash |
d_bash_23892 | ---
+++
@@ -15,7 +15,6 @@
psql -d $DB -f p.sql
psql -d $DB << EOF
- create index dor_parcelid_idx on dor_parcels (parcelid);
create index dor_basereg_idx on dor_parcels (basereg);
alter table dor_parcels alter column geom set data type geometry(Multipolygon,4326) using ST_Transform(geom, 4326);
... | bash |
d_bash_23893 | ---
+++
@@ -5,7 +5,7 @@
echo "Usage: $0 [url]"
}
-if [ $# != 1 ]; then
+if [[ $# != 1 || $1 == '-h' ]]; then
usage
exit 1
fi | bash |
d_bash_23894 | ---
+++
@@ -1,10 +1,24 @@
#!/bin/bash
cd "$( dirname "$0" )"
-npm update
-npm install
-npm install supervisor -g
+
+SHOULD_UPDATE=true
+
+if [[ -n $1 ]]; then
+ # We have an option
+ if [[ "$1" -eq "no-npm-update" ]];then
+ # Do not update
+ SHOULD_UPDATE=false
+ else
+ echo "this script only takes one ... | bash |
d_bash_23895 | ---
+++
@@ -4,8 +4,9 @@
tar -cvzf $(pwd)/rpmbuild/SOURCES/rh-devsuite-src-2.1.0-1.tar.gz -C ./SOURCES/ rh-devsuite-2.1.0/
rpmbuild -ba SPECS/rh-devsuite.spec --define "_topdir $(pwd)/rpmbuild"
pushd $(pwd)/rpmbuild/RPMS/x86_64/
-sha256sum *.rpm > SHA256SUMS
+sha256sum rh-devsuite-2.1.0-1.el7.x86_64.rpm > rh-devsui... | bash |
d_bash_23896 | ---
+++
@@ -19,7 +19,7 @@
cd tensorflow_cc/tensorflow_cc/build
# build and install
-cmake -DLOCAL_RAM_RESOURCES=2048 -DLOCAL_CPU_RESOURCES=2 -DINSTALL_PROTOBUF=ON ..
+cmake -DLOCAL_RAM_RESOURCES=1024 -DLOCAL_CPU_RESOURCES=2 -DINSTALL_PROTOBUF=ON ..
make
rm -rf /home/tensorflow_cc/.cache
rm -rf /root/.cache | bash |
d_bash_23897 | ---
+++
@@ -1,11 +1,4 @@
#!/bin/sh
-
-# Get the Source Code
-cd ..
-hg clone http://hg.python.org/cpython
-
-# Build Python
-cd cpython
-./configure
-make -j8
-sudo make install
+sudo add-apt-repository ppa:fkrull/deadsnakes
+sudo apt-get update
+sudo apt-get install python3.4 | bash |
d_bash_23898 | ---
+++
@@ -5,7 +5,7 @@
bin/console cache:clear
chmod -R 777 var/cache/ var/logs/
rm -rf public/*
-mv web/* public/
+cp web/* public/
case "$1" in
"php-fpm") | bash |
d_bash_23899 | ---
+++
@@ -1,9 +1,18 @@
+echo "This modifies ***PRODUCTION***. Do you want to continue?"
+read -n 1 response
+if [ "$response" != "y" ]; then
+ exit 1
+fi
+
+
+
+
export MIX_ENV=prod
set -x
export DATABASE_URL=`heroku config:get DATABASE_URL`
export OLD_DATABASE_URL=`heroku config:get DATABASE_URL --app cri... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.